=begin pod

=TITLE class X::Mixin::NotComposable

    class X::Mixin::NotComposable is Exception { }

Thrown when a mixin with infix C<does> or C<but> is done with a composer that
cannot be used for mixin.

For example

    class A { }
    1 but A 

dies with

    Cannot mix in non-composable type A into object of type Int

The compile-time equivalent of this error is L<X:CompositionNotComposable>

=head1 Methods

=head2 target

    method target()

Returns the target of the failed mixin operation.

=head2 rolish

    method rolish()

Returns the thing that could not act as a role for mixing it in

=end pod
